window.addEventListener('DOMContentLoaded', function() {
	'use strict';
	 var totalpagues=0;
	 var numresult=10;
	 var pagina=1;
	 var cuentaindex=-1;
	 var arrayLisCanales=new Array(Blogs);
	 
	 //var arrayCanales=null;
	 var namecanal="";
	 
	 localStorage['blogSelected']="";

	 var loc = document.location.href;
	 var getString = loc.split('?')[1];
	 var GET = getString.split('&');
	 var get = {};

	   for(var i = 0, l = GET.length; i < l; i++){
	      var tmp = GET[i].split('=');
	      get[tmp[0]] = unescape(decodeURI(tmp[1]));
	   }
		namecanal=get.canal;
	 var msnbuscnado=document.getElementById('msnbuscnado');
	 var titlecanal=document.getElementById('titlecanal');
	 titlecanal.textContent=namecanal;

	 var conlistcanales = document.getElementById('conlistcanales');
	 var requestlistcanales=null;


	var retorna = document.querySelector('a[name="retorna"]');	
	 retorna.addEventListener('click', function(e) 
	 {
	     e.preventDefault();
	   window.history.go(-1);
  	 }, false);


  		/*FINSION PARA BUSCAR*/
	var searchInput = document.getElementById('elqueb');	
	var search=document.querySelector('form[name="frmBuscar"]');

	search.addEventListener('submit', function(e) 
	 {

	     e.preventDefault();
	     GoSearch();
  	 }, false);

	function GoSearch()
	{			
		document.location = 'listResultSearch.html?q='+searchInput.value;  
	    document.location.href = 'listResultSearch.html?q='+searchInput.value;
	    searchInput.value="";
	}
	


	if(localStorage['existCanalResult'] == 'false')
	{
	localStorage['existCanalResult']='true';
	 navigator.mozL10n.once(llamaListCanales(namecanal, numresult, pagina));
	}


  	 function llamaListCanales(namecanal, numresult, pagina)
	{					
		var urlnegrec=serverBlog(namecanal, numresult, pagina);
		if(requestlistcanales && requestlistcanales.abort) {
	      requestlistcanales.abort();
	    }
	   requestlistcanales = new XMLHttpRequest({ mozSystem: true });
	   requestlistcanales.open('get', urlnegrec, true);
	   requestlistcanales.responseType = 'json';
	   requestlistcanales.addEventListener('load', onRequestListResultCanales);
	   requestlistcanales.send();
	}

	function onRequestError() 
	{
			 notResult();

  	}

  	function notResult()
 	{
 		alert("No se encontraron resultados. Por favor intenta más tarde.");
 		window.history.go(-1);
 			/*document.location = 'noHayResultados.html'  
			 document.location.href = 'noHayResultados.html'*/
 	}

 	function onRequestListResultCanales() {
 		var jsonresult = requestlistcanales.response;
 		if(jsonresult==null)
 		{
 			notResult();
 		}
 		var arrayList=null;
 		var pag=JSON.stringify(jsonresult,['pages']);
 		var parseJSOn=JSON.parse(pag);
 		var totPagina=parseJSOn['pages'];
 		if(totPagina!="0")
 		{
	 		totalpagues=parseInt(totPagina);
	 	    arrayList=jsonresult.posts; 			
 		}
 		else
 		{ 		 
 		  notResult();
 		}

 		if(arrayList==0)
	 	{
	 		notResult();
	 	}
	 	else
	 	{
	 		msnbuscnado.hidden=true;
	 		arrayList.forEach(function(value) {
	 			cuentaindex=cuentaindex+1;	
	 			var blog=new Blogs();
	 			blog.id=value.id;
		  		blog.titulo=value.title;
		  		blog.urlpost=value.url;
		  		blog.contenido=value.content;
		  		blog.imagenGrande=value.thumbnail_images.medium.url;
		  		blog.escritor=value.author.name;
		  		blog.fecha=value.date;
		  		/*blog.imgechica=value.thumbnail;
		  		blog.indexlist=cuentaindex;*/
	 			arrayLisCanales[cuentaindex]=blog;

	 			var imgpost=document.createElement('img');
	 			imgpost.src=value.thumbnail;
	 			imgpost.className = imgpost.className + "canal-image";
	 			imgpost.setAttribute("align","left");

	 			var titulo=document.createElement('h3');
	 			titulo.textContent=strip(value.title);


	 			var descripcio=strip(value.content);
	 			var textDesc = descripcio.split('.');
				var descrip = textDesc[0];
	 			var descripcion=document.createElement('p');
	 			descripcion.className = descripcion.className + "description";
	 			descripcion.textContent=descrip+".";


	 			var contcanal=document.createElement('div');
	 			contcanal.className = contcanal.className + "article headline";
	 			contcanal.appendChild(imgpost);
	 			contcanal.appendChild(titulo);
	 			contcanal.appendChild(descripcion);
	 			
	 			
	 			
	 			var irdetalle=document.createElement('a')
	 			irdetalle.href="DetalleArticulo.html";
	 			irdetalle.style.setProperty('text-decoration','none')
	 			irdetalle.id=cuentaindex;
	 			irdetalle.appendChild(contcanal)

	 			irdetalle.addEventListener('click', function(evt) {
		          evt.preventDefault();
		          	ExtraerBlog(this.id);
					//document.location = this.href;  
	     			document.location.href = this.href;
		        });



	 			conlistcanales.appendChild(irdetalle);




	 		});


	 	}

 	}

 			function strip(html)
				{
				   var tmp = document.createElement("DIV");
				   tmp.innerHTML = html;
				   return tmp.textContent || tmp.innerText || "";
				}


	var otherPage = document.querySelector('input[name="otherPage"]');
	otherPage.addEventListener('click', function(e) {
      e.preventDefault();
     Paginar();
  	}, false);

	function Paginar() 
	{
 		if(pagina<totalpagues)
 		{
 			pagina=pagina+1;
 			msnbuscnado.hidden=false;
 			navigator.mozL10n.once(llamaListCanales(namecanal, numresult, pagina));
 		}
	}

	function ExtraerBlog(index)
	{
		  var arregloextra=arrayLisCanales[index];
		  //var id =arregloextra.id;
		 // alert(id);
		  var listTem=new Array(Blogs);
		  var blog1=new Blogs();
		  blog1.id=arregloextra.id;
		  blog1.titulo=arregloextra.titulo;
		  blog1.urlpost=arregloextra.urlpost;
		  blog1.contenido=arregloextra.contenido;
		  blog1.imagenGrande=arregloextra.imagenGrande;
		  blog1.escritor=arregloextra.escritor;
		  blog1.fecha=arregloextra.fecha;
		  listTem[0]=blog1;
		  localStorage['blogSelected']="";
		  localStorage['blogSelected']=JSON.stringify(listTem);
		 
	}

	function serverBlog(namecanal, numresult, pagina)
	{
		return "http://blog.seccionamarilla.com.mx/api/get_category_posts/?slug="+namecanal+"&count="+numresult+"&page="+pagina+"";
	}

 
   
 	
});